diff -r b3e0c8b3961b SFEboost-gpp.spec
--- a/SFEboost-gpp.spec	Fri Aug 19 21:16:20 2011 +0100
+++ b/SFEboost-gpp.spec	Sat Aug 20 14:01:05 2011 +0100
@@ -26,19 +26,12 @@
 BuildRequires:	SFEicu-gpp-devel
 Requires:	SFEicu-gpp
 
-%package -n %name-devel
+%package devel
 Summary:        %{summary} - development files
 SUNW_BaseDir:   %{_basedir}
 %include default-depend.inc
 Requires: %name
 
-%package -n %name-doc
-Summary:        %{summary} - development files
-SUNW_BaseDir:   %{_basedir}
-%include default-depend.inc
-Requires: %name
-
-
 %prep
 rm -rf %name-%version
 mkdir %name-%version
@@ -99,13 +92,11 @@
 %dir %attr (0755, root, bin) %{_libdir}
 %{_libdir}/lib*.so*
 
-%files -n %name-devel
+%files devel
 %defattr (-, root, bin)
 %dir %attr (0755, root, bin) %{_includedir}
 %{_includedir}/boost
 
-%files -n %name-doc
-%defattr (-, root, bin)
 %dir %attr (0755, root, sys) %{_datadir}
 %dir %attr (0755, root, other) %{_docdir}
 %{_docdir}/boost-%{version}
diff -r b3e0c8b3961b SFEboost-stdcxx.spec
--- a/SFEboost-stdcxx.spec	Fri Aug 19 21:16:20 2011 +0100
+++ b/SFEboost-stdcxx.spec	Sat Aug 20 14:01:05 2011 +0100
@@ -37,7 +37,7 @@
 Requires: SFEicu
 Requires: SUNWlibstdcxx4
 
-%package -n %name-devel
+%package devel
 Summary:        %summary - development files
 SUNW_BaseDir:   %_basedir
 %include default-depend.inc
@@ -135,7 +135,7 @@
 %dir %attr (0755, root, bin) %_libdir
 %{_libdir}/lib*.so*
 
-%files -n %name-devel
+%files devel
 %defattr (-, root, bin)
 %dir %attr (0755, root, bin) %_includedir
 %_includedir/boost
@@ -145,6 +145,8 @@
 %_docdir/boost-%version/*
 
 %changelog
+* Sun Jun 26 2011 - Alex Viskovatoff
+- Eliminate separate devel package: facets provide that functionality
 * Sun Apr  3 2011 - Alex Viskovatoff <herzen@imap.cc>
 - Update to 1.46.1
 * Thu Jan 27 2011 - Alex Viskovatoff
diff -r b3e0c8b3961b SFEgcc.spec
--- a/SFEgcc.spec	Fri Aug 19 21:16:20 2011 +0100
+++ b/SFEgcc.spec	Sat Aug 20 14:01:05 2011 +0100
@@ -98,7 +98,7 @@
 %define _gnu_libdir %{_basedir}/gnu/lib
 
 Name:                SFEgccruntime
-Summary:             GNU gcc runtime libraries required by applications
+Summary:             GNU gcc compiler and runtime libraries
 Version:             4.6.1
 License:             GPLv3+
 SUNW_Copyright:      gcc.copyright
@@ -108,7 +108,7 @@
 Patch2:              gcc-02-handle_pragma_pack_push_pop.diff
 %else
 %endif
-Patch3:              gcc-03-gnulib.diff
+#Patch3:              gcc-03-gnulib.diff
 SUNW_BaseDir:        %{_basedir}
 BuildRoot:           %{_tmppath}/%{name}-%{version}-build
 %include default-depend.inc
@@ -157,7 +157,7 @@
 
 Requires: SUNWpostrun
 
-%package -n SFEgcc
+%package devel
 Summary:                 GNU gcc
 Version:                 %{version}
 SUNW_BaseDir:            %{_basedir}
@@ -192,7 +192,7 @@
 
 
 %if %build_l10n
-%package -n SFEgcc-l10n
+%package l10n
 Summary:                 %{summary} - l10n files
 SUNW_BaseDir:            %{_basedir}
 %include default-depend.inc
@@ -211,7 +211,7 @@
 %patch2 -p1
 %else
 %endif
-%patch3 -p1
+#%patch3 -p1
 
 %build
 CPUS=`/usr/sbin/psrinfo | grep on-line | wc -l | tr -d ' '`
@@ -413,7 +413,7 @@
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post -n SFEgcc
+%post devel
 ( echo 'PATH=/usr/bin:/usr/sfw/bin; export PATH' ;
   echo 'infos="';
   echo 'gcc.info cpp.info gccint.info cppinternals.info gccinstall.info gfortran.info' ;
@@ -424,7 +424,7 @@
   echo 'done';
   echo 'exit $retval' ) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -c SFE
 
-%preun -n SFEgcc
+%preun devel
 ( echo 'PATH=/usr/bin:/usr/sfw/bin; export PATH' ;
   echo 'infos="';
   echo 'gcc.info cpp.info gccint.info cppinternals.info gccinstall.info gfortran.info' ;
@@ -448,7 +448,7 @@
 %{_gnu_libdir}
 
 
-%files -n SFEgcc
+%files devel
 %defattr (-, root, bin)
 %dir %attr (0755, root, bin) %{_prefix}
 %{_prefix}/man
@@ -476,7 +476,7 @@
 %{_datadir}/gcc-%{version}/python/libstdcxx/__init__.py
 
 %if %build_l10n
-%files -n SFEgcc-l10n
+%files l10n
 %defattr (-, root, bin)
 %dir %attr (0755, root, bin) %{_prefix}
 %dir %attr (0755, root, sys) %{_datadir}
diff -r b3e0c8b3961b SFEqt-gpp.spec
--- a/SFEqt-gpp.spec	Fri Aug 19 21:16:20 2011 +0100
+++ b/SFEqt-gpp.spec	Sat Aug 20 14:01:05 2011 +0100
@@ -66,17 +66,12 @@
 BuildRequires: SUNWdbus
 Requires: SUNWdbus
 
-%package -n %name-devel
+%package devel
 Summary:        %{summary} - development files
 SUNW_BaseDir:   %{_basedir}
 %include default-depend.inc
 Requires: %name
 
-%package -n %name-doc
-Summary:        %{summary} - documentation files
-SUNW_BaseDir:   %{_basedir}
-%include default-depend.inc
-Requires: %name
 
 %prep
 %setup -q -n %srcname-%version
@@ -192,7 +187,7 @@
 %_datadir/qt/phrasebooks
 %_datadir/qt/translations
 
-%files -n %name-devel
+%files devel
 %defattr (-, root, bin)
 %_bindir
 %dir %attr (0755, root, bin) %_includedir
@@ -206,9 +201,6 @@
 %dir %attr (0755, root, other) %_prefix/imports
 %_prefix/imports/*
 
-%files -n %name-doc
-%defattr (-, root, bin)
-%dir %attr (0755, root, sys) %_datadir
 %_datadir/qt/q3porting.xml
 %dir %attr (0755, root, other) %_datadir/doc
 %_datadir/doc/*
@@ -244,6 +236,10 @@
 - Add patch qt-isnan.diff to enable building with gcc 4.6
 * Sat Jul  2 2011 - Alex Viskovatoff <hezen@imap.cc>
 - Add missing dependency on SFEgcc
+* Sun Jun 26 2011 - Alex Viskovatoff
+- Eliminate separate devel and doc IPS packages: facets provide that functionality
+- Place doc files in the devel SVr4 package, so users do not have to disable
+  the doc facet to avoid getting the Qt documenation files
 * Sat Jun 25 2011 - Alex Viskovatoff <hezen@imap.cc>
 - Use patches from kde-solaris instead of those inherited from SFEqt47.spec
 - Bump to 4.7.3
diff -r b3e0c8b3961b SFEqt47.spec
--- a/SFEqt47.spec	Fri Aug 19 21:16:20 2011 +0100
+++ b/SFEqt47.spec	Sat Aug 20 14:01:05 2011 +0100
@@ -122,18 +122,12 @@
 Requires: SUNWxwxft
 # The above also pulls in SUNWfreetype2
 
-%package -n %name-devel
+%package devel
 Summary:        %summary - development files
 SUNW_BaseDir:   %_basedir
 %include default-depend.inc
 Requires: %name
 
-%package -n %name-doc
-Summary:        %summary - documentation files
-SUNW_BaseDir:   %_basedir
-%include default-depend.inc
-Requires: %name
-
 
 %prep
 %setup -q -n %{srcname}-%version
@@ -260,7 +254,7 @@
 %dir %attr (0755, root, sys) %{_datadir}
 %{_datadir}/qt
 
-%files -n %name-devel
+%files devel
 %defattr (-, root, bin)
 %dir %attr (0755, root, bin) %{_includedir}
 %dir %attr (0755, root, other) %{_includedir}/qt
